> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-9d6f9427.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Set explores

> Set explores for a project



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json put /api/v1/projects/{projectUuid}/explores
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3249.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}/explores:
    put:
      tags:
        - Projects
      summary: Set explores
      description: Set explores for a project
      operationId: SetExplores
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              items:
                $ref: '#/components/schemas/AnyType'
              type: array
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiSetExploresResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    ApiSetExploresResponse:
      properties:
        results:
          $ref: '#/components/schemas/ApiDeployExploresResults'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    ApiDeployExploresResults:
      properties:
        warnings:
          $ref: '#/components/schemas/ExploreWarningReport'
        exploreCount:
          type: number
          format: double
      required:
        - warnings
        - exploreCount
      type: object
    ExploreWarningReport:
      properties:
        exploresWithWarnings:
          items:
            $ref: '#/components/schemas/ExploreWarningSummary'
          type: array
        warningExploreCount:
          type: number
          format: double
        warningCount:
          type: number
          format: double
      required:
        - exploresWithWarnings
        - warningExploreCount
        - warningCount
      type: object
    ExploreWarningSummary:
      allOf:
        - $ref: '#/components/schemas/Pick_Explore.name_'
        - properties:
            warnings:
              $ref: '#/components/schemas/NonNullable_Explore-at-warnings_'
          required:
            - warnings
          type: object
    Pick_Explore.name_:
      properties:
        name:
          type: string
      required:
        - name
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    NonNullable_Explore-at-warnings_:
      allOf:
        - items:
            $ref: '#/components/schemas/InlineError'
          type: array
        - properties: {}
          type: object
      description: Exclude null and undefined from T
    InlineError:
      properties:
        message:
          type: string
        type:
          $ref: '#/components/schemas/InlineErrorType'
      required:
        - message
        - type
      type: object
    InlineErrorType:
      enum:
        - METADATA_PARSE_ERROR
        - NO_DIMENSIONS_FOUND
        - SKIPPED_JOIN
        - MISSING_TABLE
        - FIELD_ERROR
        - SET_VALIDATION_ERROR
        - INVALID_PARAMETER
        - DUPLICATE_FIELD_NAME
      type: string

````